<?php
define('DB_USER','root');
define('DB_PASSWORD','');
define('DB_HOST','localhost');
define('DB_NAME','imagepng');

$basepath=dirname(dirname(__FILE__)); // location of files - use dirname(dirname( ... so files are not accessable from the web

$config=array( // the settings
	'username'=>array(
		'min'=>4, // minumum username length allowed
		'max'=>24 // maximum username length allowed
	),
	'password'=>array(
		'min'=>5, // minumum password length allowed
		'salt'=>'some random characters' // random characters for salting passwords & sessions
	),
	'pages'=>array(
		'login'=>'/account', // login page
		'signup'=>'/register', // registration page
		'manage'=>'/manage', // change email page
		'change'=>'/change', // change password page
		'activate'=>'/activate', // activation page
		'logout'=>'/logout', // logout page
		'stats'=>'/stats', // stats page
		'create'=>'/create' // upload page
	),
	'site'=>array(
		'admin'=>'Your Name', // your name
		'email'=>'someone@imagepng.com', // address to send new account emails from
		'name'=>'My ImagePNG Site', // site name to display in emails
		'tracker'=>'_png', // tracking cookie (for non-logged in users)
		'cookie'=>'imagepng', // session cookie name
		'remember'=>'__pml', // remember me cookie name
		'build'=>'Image[PNG]: 20090826222650'
	),
	'folders'=>array(
		'thumbnails'=>$basepath.'/thumbnails/', // name of thumbnails folder
		'uploads'=>$basepath.'/uploads/', // name of uploads folder
		'trash'=>$basepath.'/deleted/' // name of trash folder
	)
);

require_once('includes/common.php');
?>